# fmt: off
# Auto-generated by https://github.com/mos9527/UnityPyTypetreeCodegen
from typing import List, Union, Optional, TypeVar, Type
from UnityPy.files.ObjectReader import ObjectReader
from UnityPy.classes import *
from UnityPy.classes.math import (ColorRGBA, Matrix3x4f, Matrix4x4f, Quaternionf, Vector2f, Vector3f, Vector4f, float3, float4,)

UTTCG_Classes = dict()
def UTTCGen(fullname: str, typetree: dict):
    """dataclass-like decorator for typetree classess with nested type support
    
    limitations:
    - the behavior is similar to slotted dataclasses where shared attributes are inherited
      but allows ommiting init of the parent if kwargs are not sufficient
    - generally supports nested types, however untested and could be slow	
    - and ofc, zero type checking and safeguards :/	
    """    
    REFERENCED_ARGS = {'object_reader'}
    def __inner(clazz: T) -> T:
        # Allow these to be propogated to the props
        def __init__(self, **d):        
            def reduce_init(clazz, **d):
                types : dict = clazz.__annotations__
                for k, sub in types.items():
                    if type(sub) == str:
                        sub = eval(sub) # attrs turns these into strings...why?
                    while sub.__name__ == "Optional":
                        sub = sub.__args__[0]  # Reduce Optional[T] -> T								
                    reduce_arg = getattr(sub, "__args__", [None])[0]					
                    if k in REFERENCED_ARGS: # Directly refcounted
                        reduce_arg = sub = lambda x: x                         
                    if reduce_arg is not None and isinstance(d[k], list):
                        if hasattr(reduce_arg, "__annotations__") or hasattr(reduce_arg, "__args__"):
                            setattr(self, k, [reduce_arg(**x) for x in d[k]])
                        else:
                            setattr(self, k, [reduce_arg(x) for x in d[k]])
                    elif reduce_arg is not None and isinstance(d[k], dict) and hasattr(sub, "__annotations__"):
                        setattr(self, k, sub(**d[k]))
                    else:
                        # Reduce typings to respective types
                        if hasattr(sub, "__origin__") and sub.__origin__ is not None:
	                        sub = sub.__origin__		
                        if isinstance(d[k], dict):
                            setattr(self, k, sub(**d[k]))
                        else:
                            setattr(self, k, sub(d[k]))
            def reduce_base(clazz, **d):	
                for __base__ in clazz.__bases__:
                    if hasattr(__base__, "__annotations__"):
                        types : dict = __base__.__annotations__
                        args = {k:d[k] for k in types if k in d}
                        if len(args) == len(types):
                            super(clazz, self).__init__(**args)
                            reduce_init(__base__, **d)                       
                    reduce_base(__base__, **d)
            reduce_base(clazz, **d)               
            reduce_init(clazz, **d)            
        def __repr__(self) -> str:
            return f"{clazz.__name__}({', '.join([f'{k}={getattr(self, k)!r}' for k in self.__annotations__])})"
        def __save(self):
            self.object_reader.save_typetree(self, self.__typetree__)
        clazz.__init__ = __init__
        clazz.__repr__ = __repr__
        clazz.__typetree__ = typetree
        clazz.__fullname__ = fullname
        clazz.save = __save
        UTTCG_Classes[fullname] = clazz
        return clazz
    return __inner


# Helper functions
def UTTCGen_GetClass(src: MonoBehaviour | str) -> Type:
    """Get the class definition from MonoBehaviour or a full type name."""
    if isinstance(src, MonoBehaviour):
        script = src.m_Script.read()
        src = script.m_ClassName
        if script.m_Namespace:
            src = f"{script.m_Namespace}.{src}"    
    return UTTCG_Classes.get(src, None)

T = TypeVar("T")
def UTTCGen_AsInstance(cls : Type[T], src: MonoBehaviour | ObjectReader) -> T:
    """Instantiate a class from the typetree definition and the raw data.

    In most cases, this is the function you want to use.
    It will read the typetree data from the MonoBehaviour instance and instantiate the class with the data.

    Args:
        cls: The class to instantiate. This should be a class that has been decorated with the UTTCGen decorator.
        src (MonoBehaviour | ObjectReader): The MonoBehaviour instance or ObjectReader to read from.        

    Returns:
        An instance of the class defined by the typetree.
    """
    if isinstance(src, MonoBehaviour):
        src = src.object_reader
    raw_def = src.read_typetree(cls.__typetree__, check_read=False)
    instance = cls(object_reader=src, **raw_def)
    return instance
# fmt: off
# Auto-generated by https://github.com/mos9527/UnityPyTypetreeCodegen
# Python definition for <default namespace>


@UTTCGen('__StaticArrayInitTypeSize=10454', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __StaticArrayInitTypeSize_10454(MonoBehaviour):
	pass
@UTTCGen('__StaticArrayInitTypeSize=9233', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __StaticArrayInitTypeSize_9233(MonoBehaviour):
	pass
@UTTCGen('<>c', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __generic_c(MonoBehaviour):
	pass
@UTTCGen('<>c__DisplayClass16_0', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __generic_c__DisplayClass16_0(MonoBehaviour):
	pass
@UTTCGen('<>c__DisplayClass43_0', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __generic_c__DisplayClass43_0(MonoBehaviour):
	pass
@UTTCGen('<>c__DisplayClass44_0', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class __generic_c__DisplayClass44_0(MonoBehaviour):
	pass
@UTTCGen('<Module>', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class _Module_(MonoBehaviour):
	pass
@UTTCGen('<PrivateImplementationDetails>', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class _PrivateImplementationDetails_(MonoBehaviour):
	pass
@UTTCGen('AllocationItem', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class AllocationItem(MonoBehaviour):
	pass
@UTTCGen('CombinedParameter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "HorizontalParameterId", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "VerticalParameterId", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class CombinedParameter(MonoBehaviour):
	HorizontalParameterId : List[str]
	VerticalParameterId : List[str]
@UTTCGen('CubismDisplayInfoCombinedParameterInfo', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class CubismDisplayInfoCombinedParameterInfo(MonoBehaviour):
	pass
@UTTCGen('CubismTaskHandler', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class CubismTaskHandler(MonoBehaviour):
	pass
@UTTCGen('DynamicDrawableDataHandler', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class DynamicDrawableDataHandler(MonoBehaviour):
	pass
@UTTCGen('HitArea', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "value__", "m_Level": 1, "m_MetaFlag": 0}])
class HitArea(MonoBehaviour):
	value__ : int
@UTTCGen('HitDrawableInfomation', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "PPtr<CubismDrawable>", "m_Name": "drawable", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "hitArea", "m_Level": 1, "m_MetaFlag": 0}])
class HitDrawableInfomation(MonoBehaviour):
	drawable : PPtr[object] # XXX: Fallback of PPtr<CubismDrawable>
	hitArea : int
@UTTCGen('LayoutContext', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "RenderTextureIndex", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "Channel", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "LayoutCount", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "LayoutContextIndex", "m_Level": 1, "m_MetaFlag": 0}])
class LayoutContext(MonoBehaviour):
	RenderTextureIndex : int
	Channel : int
	LayoutCount : int
	LayoutContextIndex : int
@UTTCGen('LoadAssetAtPathHandler', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class LoadAssetAtPathHandler(MonoBehaviour):
	pass
@UTTCGen('MasksMaskedsPair', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "CubismRenderer[]", "m_Name": "Masks", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "PPtr<CubismRenderer>", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "List`1", "m_Name": "Maskeds", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "PPtr<CubismRenderer>", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 4, "m_MetaFlag": 0}])
class MasksMaskedsPair(MonoBehaviour):
	Masks : List[PPtr[object]]
	Maskeds : List[PPtr[object]]
@UTTCGen('MasksMaskedsPairs', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class MasksMaskedsPairs(MonoBehaviour):
	pass
@UTTCGen('MaterialPicker', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class MaterialPicker(MonoBehaviour):
	pass
@UTTCGen('MonoScriptData', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Byte[]", "m_Name": "FilePathsData", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Byte[]", "m_Name": "TypesData", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "TotalTypes", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "TotalFiles", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "IsEditorOnly", "m_Level": 1, "m_MetaFlag": 16384}])
class MonoScriptData(MonoBehaviour):
	FilePathsData : List[int]
	TypesData : List[int]
	TotalTypes : int
	TotalFiles : int
	IsEditorOnly : bool
@UTTCGen('NormalizedParameterValueGetter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class NormalizedParameterValueGetter(MonoBehaviour):
	pass
@UTTCGen('Phase', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "value__", "m_Level": 1, "m_MetaFlag": 0}])
class Phase(MonoBehaviour):
	value__ : int
@UTTCGen('PhysicsDictionaryItem', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class PhysicsDictionaryItem(MonoBehaviour):
	Id : List[str]
	Name : List[str]
@UTTCGen('ScaleGetter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class ScaleGetter(MonoBehaviour):
	pass
@UTTCGen('SegmentParser', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SegmentParser(MonoBehaviour):
	pass
@UTTCGen('SerializableCombinedParameterIds', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "String[]", "m_Name": "Ids", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 5, "m_MetaFlag": 0}])
class SerializableCombinedParameterIds(MonoBehaviour):
	Ids : List[str]
@UTTCGen('SerializableCurve', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Target", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Single[]", "m_Name": "Segments", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeInTime", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeOutTime", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableCurve(MonoBehaviour):
	Target : List[str]
	Id : List[str]
	Segments : List[float]
	FadeInTime : float
	FadeOutTime : float
@UTTCGen('SerializableVector2', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "X", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Y", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableVector2(MonoBehaviour):
	X : float
	Y : float
@UTTCGen('SerializableEffectiveForces', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableVector2", "m_Name": "Gravity", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "X", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Y", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SerializableVector2", "m_Name": "Wind", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "X", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Y", "m_Level": 2, "m_MetaFlag": 0}])
class SerializableEffectiveForces(MonoBehaviour):
	Gravity : SerializableVector2
	Wind : SerializableVector2
@UTTCGen('SerializableExpression', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "File", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeInTime", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeOutTime", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableExpression(MonoBehaviour):
	Name : List[str]
	File : List[str]
	FadeInTime : float
	FadeOutTime : float
@UTTCGen('SerializableExpressionParameter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Value", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Blend", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableExpressionParameter(MonoBehaviour):
	Id : List[str]
	Value : float
	Blend : List[str]
@UTTCGen('SerializableMotions', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "String[]", "m_Name": "GroupNames", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 5, "m_MetaFlag": 0}])
class SerializableMotions(MonoBehaviour):
	GroupNames : List[str]
@UTTCGen('SerializableFileReferences', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Moc", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "String[]", "m_Name": "Textures", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Pose", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableExpression[]", "m_Name": "Expressions", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableExpression", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "string", "m_Name": "Name", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 5, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "File", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 5, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeInTime", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeOutTime", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "SerializableMotions", "m_Name": "Motions", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "String[]", "m_Name": "GroupNames", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 5, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Physics", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "UserData", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "DisplayInfo", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableFileReferences(MonoBehaviour):
	Moc : List[str]
	Textures : List[str]
	Pose : List[str]
	Expressions : List[SerializableExpression]
	Motions : SerializableMotions
	Physics : List[str]
	UserData : List[str]
	DisplayInfo : List[str]
@UTTCGen('SerializableGroup', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Target", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "String[]", "m_Name": "Ids", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 5, "m_MetaFlag": 0}])
class SerializableGroup(MonoBehaviour):
	Target : List[str]
	Name : List[str]
	Ids : List[str]
@UTTCGen('SerializableHitArea', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableHitArea(MonoBehaviour):
	Name : List[str]
	Id : List[str]
@UTTCGen('SerializableParameter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Target", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableParameter(MonoBehaviour):
	Target : List[str]
	Id : List[str]
@UTTCGen('SerializableInput', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableParameter", "m_Name": "Source", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "string", "m_Name": "Target", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Weight", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Type", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "Reflect", "m_Level": 1, "m_MetaFlag": 16384}])
class SerializableInput(MonoBehaviour):
	Source : SerializableParameter
	Weight : float
	Type : List[str]
	Reflect : bool
@UTTCGen('SerializableMeta', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Duration", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Fps", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "Loop", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "SInt32", "m_Name": "CurveCount", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "TotalSegmentCount", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "TotalPointCount", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "AreBeziersRestricted", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "SInt32", "m_Name": "UserDataCount", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "TotalUserDataSize", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeInTime", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeOutTime", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableMeta(MonoBehaviour):
	Duration : float
	Fps : float
	Loop : bool
	CurveCount : int
	TotalSegmentCount : int
	TotalPointCount : int
	AreBeziersRestricted : bool
	UserDataCount : int
	TotalUserDataSize : int
	FadeInTime : float
	FadeOutTime : float
@UTTCGen('SerializableMotion', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "File", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Sound", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeInTime", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "FadeOutTime", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableMotion(MonoBehaviour):
	File : List[str]
	Sound : List[str]
	FadeInTime : float
	FadeOutTime : float
@UTTCGen('SerializableNormalizationValue', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Minimum", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Default", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Maximum", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableNormalizationValue(MonoBehaviour):
	Minimum : float
	Default : float
	Maximum : float
@UTTCGen('SerializableNormalization', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableNormalizationValue", "m_Name": "Position", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "Minimum", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Default", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Maximum", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SerializableNormalizationValue", "m_Name": "Angle", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "Minimum", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Default", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Maximum", "m_Level": 2, "m_MetaFlag": 0}])
class SerializableNormalization(MonoBehaviour):
	Position : SerializableNormalizationValue
	Angle : SerializableNormalizationValue
@UTTCGen('SerializableOutput', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableParameter", "m_Name": "Destination", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "string", "m_Name": "Target", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "VertexIndex", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Scale", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Weight", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Type", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "Reflect", "m_Level": 1, "m_MetaFlag": 16384}])
class SerializableOutput(MonoBehaviour):
	Destination : SerializableParameter
	VertexIndex : int
	Scale : float
	Weight : float
	Type : List[str]
	Reflect : bool
@UTTCGen('SerializableParameterGroups', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "GroupId", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableParameterGroups(MonoBehaviour):
	Id : List[str]
	GroupId : List[str]
	Name : List[str]
@UTTCGen('SerializableParameters', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "GroupId", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableParameters(MonoBehaviour):
	Id : List[str]
	GroupId : List[str]
	Name : List[str]
@UTTCGen('SerializableParts', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableParts(MonoBehaviour):
	Id : List[str]
	Name : List[str]
@UTTCGen('SerializableVertex', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableVector2", "m_Name": "Position", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "X", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Y", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Mobility", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Delay", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Acceleration", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Radius", "m_Level": 1, "m_MetaFlag": 0}])
class SerializableVertex(MonoBehaviour):
	Position : SerializableVector2
	Mobility : float
	Delay : float
	Acceleration : float
	Radius : float
@UTTCGen('SerializablePhysicsSettings', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableInput[]", "m_Name": "Input", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableInput", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "SerializableParameter", "m_Name": "Source", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "string", "m_Name": "Target", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 6, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 6, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Weight", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Type", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 5, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "Reflect", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "SerializableOutput[]", "m_Name": "Output", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableOutput", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "SerializableParameter", "m_Name": "Destination", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "string", "m_Name": "Target", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 6, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 6, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 7, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "VertexIndex", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Scale", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Weight", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Type", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 5, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 6, "m_MetaFlag": 0}, {"m_Type": "bool", "m_Name": "Reflect", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "SerializableVertex[]", "m_Name": "Vertices", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableVertex", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 16384}, {"m_Type": "SerializableVector2", "m_Name": "Position", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "X", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Y", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Mobility", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Delay", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Acceleration", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Radius", "m_Level": 4, "m_MetaFlag": 0}, {"m_Type": "SerializableNormalization", "m_Name": "Normalization", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "SerializableNormalizationValue", "m_Name": "Position", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "Minimum", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Default", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Maximum", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SerializableNormalizationValue", "m_Name": "Angle", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "float", "m_Name": "Minimum", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Default", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Maximum", "m_Level": 3, "m_MetaFlag": 0}])
class SerializablePhysicsSettings(MonoBehaviour):
	Id : List[str]
	Input : List[SerializableInput]
	Output : List[SerializableOutput]
	Vertices : List[SerializableVertex]
	Normalization : SerializableNormalization
@UTTCGen('SerializablePoseGroup', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Id", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "String[]", "m_Name": "Link", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 4, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 5, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 5, "m_MetaFlag": 0}])
class SerializablePoseGroup(MonoBehaviour):
	Id : List[str]
	Link : List[str]
@UTTCGen('SerializableUserData', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "Time", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "Value", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SerializableUserData(MonoBehaviour):
	Time : float
	Value : List[str]
@UTTCGen('SourcesItem', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SourcesItem(MonoBehaviour):
	pass
@UTTCGen('SubRigPhysicsOutput', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "Single[]", "m_Name": "Output", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "float", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SubRigPhysicsOutput(MonoBehaviour):
	Output : List[float]
@UTTCGen('SwapInfo', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class SwapInfo(MonoBehaviour):
	pass
@UTTCGen('TaskState', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "SInt32", "m_Name": "value__", "m_Level": 1, "m_MetaFlag": 0}])
class TaskState(MonoBehaviour):
	value__ : int
@UTTCGen('TexturePicker', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class TexturePicker(MonoBehaviour):
	pass
@UTTCGen('UnitySourceGeneratedAssemblyMonoScriptTypes_v1', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class UnitySourceGeneratedAssemblyMonoScriptTypes_v1(MonoBehaviour):
	pass
@UTTCGen('UnmanagedLogDelegate', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class UnmanagedLogDelegate(MonoBehaviour):
	pass
@UTTCGen('ValueGetter', [{"m_Type": "MonoBehaviour", "m_Name": "Base", "m_Level": 0, "m_MetaFlag": 0}, {"m_Type": "PPtr<GameObject>", "m_Name": "m_GameObject", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "UInt8", "m_Name": "m_Enabled", "m_Level": 1, "m_MetaFlag": 16384}, {"m_Type": "PPtr<MonoScript>", "m_Name": "m_Script", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "int", "m_Name": "m_FileID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "SInt64", "m_Name": "m_PathID", "m_Level": 2, "m_MetaFlag": 0}, {"m_Type": "string", "m_Name": "m_Name", "m_Level": 1, "m_MetaFlag": 0}, {"m_Type": "Array", "m_Name": "Array", "m_Level": 2, "m_MetaFlag": 16384}, {"m_Type": "int", "m_Name": "size", "m_Level": 3, "m_MetaFlag": 0}, {"m_Type": "char", "m_Name": "data", "m_Level": 3, "m_MetaFlag": 0}])
class ValueGetter(MonoBehaviour):
	pass
